;********************************************************************************************************
;                                               uC/OS-II
;                                         The Real-Time Kernel
;
;                         (c) Copyright 1998, Jean J. Labrosse, Plantation, FL
;                                          All Rights Reserved
;
;
;                                       M68HC912DG128A Specific code
;                                         (MetroWerks C/C++ V4.1)
;
; File         : OS_CPU_A.S
; By           : Jean J. Labrosse
; Port Version : V1.01
; Ported to MC68HC912DG128A : Robert F. Heslar
;********************************************************************************************************
; provide our own interrutp table (or uew prm file)
 
;********************************************************************************************************
;                                           EXTERNAL DECLARATIONS
;********************************************************************************************************

;	Xref _Startup
	Xref OSCtxSw
	Xref OSTickISR
;	Xref _Null


;	org $0FFE0
; RCM
  org $b20
Tmr7Int:  DC.W OSTickISR ;  0xFFE2 Timer Channel 7
;	org $0FFF6	
;RCM
  org $B36
SWIInt:   DC.W OSCtxSw ; SWI interrupt
;   org $0FFFE
;ResetInt: DC.W _Startup ; Reset Vector
; RCM
